#ifndef DXR3OUT_HPP
#define DXR3OUT_HPP

#include "render_device.hpp"
#include "mpeg.hpp"

class Dxr3 : public Render_device
{
private:
  mpeg_frame iframe;

  int fd_control;
  int fd_video;
  int initialized;

  bool locked;

  ost::Mutex locked_mutex;

public:

  Dxr3();

  void init();
  void deinit();
  
  void redraw();

  void lock();
  void unlock();

 private:
  void run();
};

#endif
